Page MenuHomePhabricator

'Increasing account creation threshold' is out of date
Closed, ResolvedPublic

Description

https://wikitech.wikimedia.org/wiki/Increasing_account_creation_threshold

After this, if the event is in less than 72 hours, you should delete the memcache key by using this command. If the deletion is successful, no output will be shown.

mwscript mcc.php --wiki=$wiki
> delete $wiki:acctcreate:ip:$ip
> exit

But this doesn't match the key format used in Throttler.php

$throttleKey = $this->cache->makeGlobalKey( 'throttler', $this->type, $index, $ipKey, $userKey );

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.May 11 2018, 2:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2018, 2:19 PM
Tgr added a subscriber: Tgr.May 25 2018, 7:28 PM

$userKey can be null, in which case it won't be in the key. That's the case for account creation (since we don't yet have a username when throttling is done).

Change 435974 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Add maintenance script for resetting login/signup throttle

https://gerrit.wikimedia.org/r/435974

Vvjjkkii renamed this task from 'Increasing account creation threshold' is out of date to d4caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from d4caaaaaaa to 'Increasing account creation threshold' is out of date.Jul 2 2018, 4:18 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 435974 merged by jenkins-bot:
[mediawiki/core@master] Add maintenance script for resetting login/signup throttle

https://gerrit.wikimedia.org/r/435974

Tgr closed this task as Resolved.Jul 20 2018, 5:06 PM
Tgr claimed this task.
Tgr removed a project: Patch-For-Review.

Updated the docs to mention the script, I think we are done here.